D4Science Infrastructure - VM Creation #11202

Install ElasticHQ for ES 5 cluster
Feb 16, 2018 02:24 PM - Michele Artini

Status: Closed Start date: Feb 16, 2018
Priority: Normal Due date:
Assignee: Andrea Dell'’Amico % Done: 100%
Target version: No Sprint
Infrastructure: Development Applications list and elasticHQ
version:
RAM: 3 Applications context
path:
CPU: 2 External storage data
disk:
DiskSpace: 10 Smartgears auth
connector:
Smartgears: No data transfer No
enabled:
Smartgears Version: PostgreSQL No
database:
Application Number of VMs: 1
Instructions:
Smartgears scopes:

Description
Can you install ElasticHQ to have a GUI for the ElasticSearch cluster (http://ip-90-147-167-137.ct1.garrservices.it:9200/) ?

Could you also open the port 9300 of elasticsearch nodes to broker1-dev-dnet.d4science.org ?

History

#1 - Feb 16, 2018 02:50 PM - Andrea Dell'Amico
- Tracker changed from Support to VM Creation

- RAM set to 3

-CPUsetto 2

- DiskSpace set to 10

- Smartgears set to No

- Applications list and version updated

- data transfer enabled set to No

- PostgreSQL database set to No

- Number of VMs set to 1

ElasticHQ wants python 3.4, so better run it on a dedicated machine.

The 9300 port has been opened, FYI

#2 - Feb 16, 2018 05:11 PM - Andrea Dell'Amico

- Status changed from New to In Progress

The VM will run at the GARR facilities. The hostname is going to be elastichqg.garr.d4science.org

#3 - Feb 17,2018 01:03 PM - Andrea Dell'Amico
- % Done changed from 0 to 80
http://ip-90-147-167-137.ct1.garrservices.it:9200/

The service is running. | was not able to test it because the access is open from our office and eduroam networks.
There's no valid https certificate yet.

You should be able to add the GARR elasticsearch clusters using their private IP addresses.
After passing the basic tests I'm going to add a basic authentication; against Idap if it's viable, otherwise with htpasswd and basic auth.
#4 - Feb 20, 2018 11:45 AM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
